SpringInitialContextFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.jndi.SpringInitialContextFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.jndi
Class SpringInitialContextFactory

    java.lang.Object
      org.mule.config.spring.jndi.SpringInitialContextFactory

All Implemented Interfaces:
  InitialContextFactory

    public class SpringInitialContextFactory

extends Object
implements InitialContextFactory

TODO

Constructor Summary
`SpringInitialContextFactory()`

Method Summary
`protected org.springframework.beans.factory.BeanFactory` | `createContext(org.springframework.core.io.Resource resource)`
`Context` | `getInitialContext(Hashtable environment)`
`protected org.springframework.beans.factory.BeanFactory` | `loadContext(org.springframework.core.io.Resource resource, String key)`
`static Context` | `makeInitialContext()` A factory method which can be used to initialise a singleton JNDI context from inside a Spring.xml such that future calls to new InitialContext() will reuse it

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringInitialContextFactory

    public SpringInitialContextFactory()

Method Detail

### makeInitialContext

    public static Context makeInitialContext()

  A factory method which can be used to initialise a singleton JNDI context from inside a Spring.xml such that future calls to new InitialContext() will reuse it

### getInitialContext

    public Context getInitialContext(Hashtable environment)
                              throws NamingException

  Specified by:
    `getInitialContext` in interface `InitialContextFactory`
  Throws:
    `NamingException`

### loadContext

    protected org.springframework.beans.factory.BeanFactory loadContext(org.springframework.core.io.Resource resource,
                                                                        String key)

### createContext

    protected org.springframework.beans.factory.BeanFactory createContext(org.springframework.core.io.Resource resource)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.